#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	qterminal
Version		:	1.3.0
Release		:	14.8.0.0%{?dist}
Summary		:	%{name} is a lightweight Qt terminal emulator based on qtermwidget

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://lxqt.org/


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
BuildRequires	:	lxqt-build-tools
BuildRequires	:	qtermwidget >= %{version}
#-----------------------------------------------------------------------------
%description
'%{name}' is a lightweight Qt terminal emulator based on qtermwidget

It is maintained by the LXQt project but can be used independently
from this desktop environment. The only bonds are lxqt-build-tools
representing a build dependency and the localization files which
were outsourced to LXQt.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DPULL_TRANSLATIONS=no					\
	-Wno-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/%{name}/%{name}_bookmarks_example.xml
%{_datadir}/metainfo/%{name}.metainfo.xml

#-----------------------------------------------------------------------------
%changelog
